Inventory

Stock movement ledger

GET
/api/v1/inventory/ledger

The append-only record. Nothing here is editable through any API.

Authorization

HTTPBearer
AuthorizationBearer <token>

JWT access token

In: header

Query Parameters

page?integer
Range1 <= value
Default1
page_size?integer
Range1 <= value <= 200
Default50
inventory_item_id?|
Formatuuid
movement_type?string|null
correlation_id?string|null
merchant_id?|

Optional merchant to act on. Must be one you are a member of.

Formatuuid

Header Parameters

X-Merchant-ID?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/api/v1/inventory/ledger"
{  "data": {    "items": [      {}    ],    "pagination": {      "has_next": false,      "has_previous": false,      "page": 1,      "page_size": 25,      "total": 0,      "total_pages": 0    }  },  "meta": {},  "success": true}